.main_sidebar {
    min-height:100vh;
    position:relative;
    top:0;
    left:0;
    width:100%;
    transition: all 300ms cubic-bezier(0.65, 0.05, 0.36, 1);
    will-change: left, width;
    box-shadow: inset -1px 0 10px rgba(0, 0, 0, 0.4);
    background: #293749;
    display: inline-block;
}
.main_sidebar:after {
    content: '';
    background-color: #253238;
    position: absolute;
    top: 0;
    z-index: -1;
    height: 100%;
    width: 58px;
    display: inline-block;
}
.main_sidebar ul {
    list-style:none;
    padding-left:58px;
}
.main_sidebar ul li {
    padding:10px;
}
.main_sidebar ul li a {
    color:#fff;
    display:block;
}
.main_sidebar ul li i {
    float:left;
    color:grey;
    margin-left:-58px;
    font-size:24px;
    padding-left:7px;
}
.main_sidebar ul li:hover {
    background:#167696;
}
.main_sidebar ul li a:hover {
    color:#fff;
    text-decoration:none;
}
.main_sidebar ul li:hover i {
    color:#fff;
}
.main_sidebar ul li.active {
    background:#0f4698;
}
.main_sidebar ul li.active i {
    color:#fff;
}
.main_sidebar ul li.active:hover {
    background:#167696;
}
.main_sidebar ul li.active:hover i {
    color:#fff;
}

.main {
    float:right;
    color:#fff;
    display:block;
    width:100%;
    background:red;
    min-height:100vh;
}

.sidebar-user-info{
	width: 100%;
	background-color: #293749;
	color: white;
	text-align: center;
}

.sidebar-user-name{
}

.sidebar-avatar-unlogged {
	width: 64px;
	height: 64px;
	border-radius: 50%;
	margin-top: 20px;
	margin-bottom: 20px;
}

.sidebar-row{
	width: 100%;
	display: block;
	padding-top: 10px;
	padding-bottom: 10px;
	cursor: pointer;
	border-color: transparent;
	
	-webkit-transition: 0.5s all ease;
	-o-transition: 0.5s all ease;
	transition: 0.5s all ease;
}

.sidebar-row:hover{
	background-color: #4a90e2;
	border-color: darkblue;
}

.sidebar-icon{	
	width: 40%;
	display: inline-block;
}

.sidebar-element{
	width: 20%;
	display: inline-block;
	margin-right: 30%;
}

